Get a project plan task
GET/api/project-plan-tasks/{id}
Required permissions:
- project_plan.view: allows view of project plan tasks.
Custom fields
Single-option custom fields appear in the response as dynamic fields named like custom_field_55 where
55 is the ID of the custom field. The value is the ID of the selected option, or null when no option is set.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the project plan task to view
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 404
- 412
Returns the requested project plan task.
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The name of the project plan task
The sort order of the task within its area
Possible values: >= 1
The ID of the project plan area this task belongs to
Possible values: >= 1
The ID of the budget task linked to this project plan task, if any
The start date of the task, formatted as YYYY-MM-DD
The end date of the task, formatted as YYYY-MM-DD
Free-form notes attached to the task
Possible values: [not-started, in-progress, blocked, done, closed]
The status of the task
Possible values: >= 1
The ID of the task this task depends on, if any
Possible values: [start-to-start, finish-to-start, start-to-finish, finish-to-finish]
The dependency type between this task and the one it depends on
{
"id": 1,
"created_at": "2026-06-12T11:36:12.601Z",
"updated_at": "2026-06-12T11:36:12.601Z",
"name": "Wireframes",
"sort": 1,
"project_plan_area_id": 1,
"budget_task_id": 1,
"start_date": "2026-01-15",
"end_date": "2026-02-15",
"notes": "Reviewed with the client.",
"status_key": "in-progress",
"depends_on_id": 1,
"dependency_type": "finish-to-start"
}
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}